@echo off

REM -------------------------------------------
REM Ensure we were given an argument
REM -------------------------------------------

if "%1"=="" goto errNoArg

set XARGS=

if "%2"=="" goto noTarget
set XARGS=/Fe%2

:noTarget

REM -------------------------------------------
REM We were, so compile the file
REM -------------------------------------------

cl %XARGS% -GX -W3 -D__MAIN__ %1
goto batchExit

:errNoArg
echo Usage: %0 fileName.cpp

:batchExit

REM [end of batch file]
