#ifndef _MESSAGE_HANDLER_H_
#   define _MESSAGE_HANDLER_H_

#include <string>
#include <vector>

using std::string;
using std::vector;

#define DAYS_CUTOFF (7)

typedef vector<string> ForceAlertList;

class MessageHandler
{
   public:
      static MessageHandler *get(
         int doShowError, int doShowSuccess, string &errMsg
      );

      void exitSuccess(ForceAlertList &fList, string msg);
      void exitError(ForceAlertList &fList, string msg);

   private:
      MessageHandler(int doShowError, int doShowSuccess, string fileName);

      int mDoShowError;
      int mDoShowSuccess;
      string mFileName;
};

#endif
