#ifndef _STRING_SET_H_
#   define _STRING_SET_H_

#include <stdio.h>
#include <string>
#include <vector>

using std::string;
using std::vector;

struct IStringSet;

class StringSet
{
   public:
      StringSet(int ignoreCase);
      ~StringSet();

      vector<string> getList();

      int count();

      void insert(string s);
      void remove(string s);

      void clear();

      int contains(string s);
      void dump(FILE *out);

   private:
      StringSet(const StringSet &);
      StringSet &operator=(const StringSet &);
      IStringSet *mInternal;
};

#endif
